Questions tagged [apt]

APT is a package manager used on Raspbian and includes commands such as 'apt-get'.

Filter by
Sorted by
Tagged with
5
votes
1answer
4k views

Sub-process /usr/bin/dpkg returned an error code (1) on apt-get upgrade

I'm using Raspberry Pi 1 model B without GUI and when I try to upgrade software using sudo apt-get upgrade I get the following error: Segmentation fault dpkg: warning: subprocess old pre-removal ...
0
votes
0answers
8 views

Pandasql on Raspbian?

Has anyone successfully installed the Python pandasql package on their Raspberry Pi? sudo apt-get install pandasql Gives the following results: Reading package lists... Done Building dependency ...
2
votes
1answer
25 views

Upgrade to a new Raspbian version offline

Regular Debian produces "point release" CD images periodically that can be used in /etc/apt/sources.list to update systems offline. Is there any way to upgrade to a newer release of Raspbian in a ...
0
votes
0answers
73 views

Error installing lirc on raspberry pi 3

I would like to install lirc on my raspberry pi 3B+. Unfortunately there is an error message when installing with apt-get. I just reinstalled raspbian using Noobs to avoid any problems due to changed ...
1
vote
2answers
36 views

autoreconf: command not found

autoreconf -fiv -bash: autoreconf: command not found I've tried everything listed in this link, but I still can't find any auto(re)conf. pi@no:~/motion $ apt-cache search autoreconf pi@no:~/motion $ ...
1
vote
5answers
3k views

Raspbian Jessie apt-get update fails ERROR: Hash Sum mismatch

Please find the attached snip, for the complete error message. This is the second time I've faced this issue, last time it happened I tried couple of different things updating source list file or apt-...
1
vote
2answers
2k views

Raspberry pi : apt-get update failes

I was following a tutorial and as dumb as it sounds I was ended up with editing sources.list file and adding new gpg key. now when i'm updating the apt-get i'm getting this error. Any help to get me ...
0
votes
2answers
852 views

apt-get error while installing software

I was able to update packages using $ sudo apt-get update but when I tried to install telnet using $ sudo apt-get install telnet, I get the following errors dpkg: unrecoverable fatal error , ...
0
votes
2answers
2k views

Cmake broken after update

Before running an apt-get update, my cmake worked. Now I get the error Setting up cmake (3.7.2-1) ... pi@rpi:~ $ cmake Segmentation fault pi@rpi:~ $ And I can't compile any cmake files I'm ...
0
votes
1answer
1k views

Docker install failed on raspbian with “BUILD_EXCLUSIVE directive which does not match this kernel/arch.”

I have tried to install docker on the latest rasbian: Uname -a Linux mypi 4.9.80-v7+ #1098 SMP Fri Mar 9 19:11:42 GMT 2018 armv7l GNU/Linux but I get the following error: sudo apt-get install ...
0
votes
2answers
1k views

Can't install Heroku CLI on Raspberry Pi 3 running Raspbian

I've just started using my RP3 as my development box, and got everything working fine: Python 3.6, created venv's, installed posgresql, working with Django. All is fine. Except that, if I want to work ...
1
vote
1answer
43 views

Missing packages on raspbian

I'm trying to install the libindi astronomy toolset on my Raspberry PI 3 uname gives me Linux raspberrypi 4.19.58-v7+ #1245 SMP Fri Jul 12 17:25:51 BST 2019 armv7l GNU/Linux cat /etc/os-release ...
3
votes
1answer
47 views

apt-get not working on raspberry pi zero w [Internal error: Oops: 17 [#1] ARM]

I bought a new raspberry pi zero w. I flashed the raspbian lite image on a sd-card, the pi booted normally. But when I try to update it with sudo apt-get update sudo apt-get upgrade I get the ...
0
votes
0answers
21 views

'sudo dpkg --configure -a' crashing Pi 4

Trying various ways to install Docker on Buster I have now run into this. I get the message that E: dpkg was interrupted and to run the sudo dpkg --configure -a command. When I do I get this: ...
0
votes
2answers
3k views

Zoneminder installation. What version?

On the default Debian repository the Zoneminder package available is the version 1.26, however the last version is 1.29 (with a functionality I need). Following the advise on Zoneminder 1.29 I added ...
0
votes
2answers
590 views

Unable to use apt-get: raspberrypi-net-mods is missing

I've installed 2017-07-05-raspbian-jessie and trying to upgrade apt-get. The problem is I keep getting this error: Preconfiguring packages ... dpkg: unrecoverable fatal error, aborting: files list ...
1
vote
1answer
759 views

Failing to install Jenkins on Raspberry Pi 3 Model B

I have been following some excellent tutorials on How to Install Jenkins onto a Raspberry Pi. After changing the Raspberry Pi 3 Model B's default Java version to 1.8.0_101 and completing the steps to ...
2
votes
5answers
28k views

Can't apt-get install libssl-dev

Here is what I get when I try to apt-get install libssl-dev: root@raspi:/home/pi/cfengine-3.7.0a1.283240b# apt-get install libssl-dev Reading package lists... Done Building dependency tree ...
2
votes
2answers
1k views

apt-get update error: 500 no space left on device

Fresh install of NOOBS 2_4_3 Stretch using http://goddess-gate.com for repository mirror. Here is what I'm getting: sudo apt-get upgrade Reading package lists... Done Building dependency tree ...
0
votes
2answers
3k views

Sub-process /usr/bin/dpkg returned an error code (1)

Can anyone help a n00b out? I should have enough space on my SD. df -h results are below. sda1 is for NAS storage. I'd appriciate any input whatsoever, and thanks in advance. sudo apt-get upgrade ...
0
votes
2answers
4k views

Hash sum mismatch error

Context: I have 8 Raspberry Pi Computers in my class. After flashing the most recent version of Raspbian onto 8GB SD cards which were originally sold with NOOBS on them (the cards are therefore ...
1
vote
1answer
49 views

connection failed in apt-get upgrade

I am using Raspberry Pi 3 Model B, and installed raspbian-buster on it. sudo apt-get update works well. But sudo apt-get upgrade shows connection failed. Err:29 http://archive.raspberrypi.org/...
0
votes
0answers
11 views

Chromium wont open - Attempted Reinstall left me with dpkg error processing package mime-support (--configure)

My Chromium wouldn't open - it was giving me the loading icon then nothing. I found the following topic and tried using the commands written in it. sudo apt-get remove chromium-browser sudo apt-get ...
0
votes
1answer
37 views

Installing openssl 1.0.2g on jessie

I need to use libssl-dev 1.0.2g to compile some old codes. I followed the guides in stackoverflow but it does not work in my case. This is my /etc/apt/sourcelist deb http://mirrordirector.raspbian....
0
votes
1answer
33 views

How to skip a package version?

How can I be informed when a new version of a specific package is available for install? Is there a way to have apt-get skip a specific version, but install when the next one is available? I am ...
0
votes
1answer
53 views

PXE booted Raspberry cluster curious update behavior during update

I am running a PXE booted Raspberry cluster: one pi is the PXE boot server with has an SSD attached and is updated to 4.14.82-v7+ #1165. The boot-image for the PXE clients is rsync'ed. Clients boot up ...
2
votes
2answers
133 views

“apt-get: command not found” issue on raspberry pi os built using Buildroot

I have built a sdcard.img for raspberry pi using Buildroot. When I run apt-get command it throws error "apt-get: command not found". I did not find apt-get/dpkg package to enable in 'make menuconfig' ...
-1
votes
1answer
205 views

Cannot use apt-get or ping. Internet is working

Raspbian stretch (NOOBS) I have just received a new Raspberry Pi to run scripts on at work, and while I was installing the dependencies for Python 3.7, I ran into a peculiar issue. The machine is ...
4
votes
3answers
14k views

held broken packages

When I try and do sudo apt-get update it seems to me that I have 4 newer packages than what is to be installed. Any help would be appreciated. Thank you. Module Index Update Packages Building ...
1
vote
1answer
4k views

Can't install apache

I can't download apache2 and php5: sudo apt-get install apache2 php5 libapache2-mod-php5 Gives me the error "Failed to fetch [URL] 404 Not Found". The raspberry is connected via ethernet to my ...
3
votes
2answers
371 views

Is it safe to configure unattended-upgrades to use Debian security updates on Raspbian Lite?

When setting up Raspbian Lite and installing unattended-upgrades, the origins list defaults to this: "o=Debian,codename=${distro_codename},label=Debian-Security"; Is it safe (or wise) to use this, ...
1
vote
0answers
36 views

sudo apt-get update isn't working / networking problem

I am getting following errors repeatedly upon using apt-get update command : pi@raspberrypi:~ $ sudo apt-get update Err:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease Cannot ...
0
votes
0answers
47 views

Cant upgrade Raspbian neither run Python

I am trying to upgrade my Raspberry Pi 3 B+: $ uname -a Linux plexmediaserver-pi 4.14.98-v7+ #1200 SMP Tue Feb 12 20:27:48 GMT 2019 armv7l GNU/Linux But I am getting this weird error: pi@...
0
votes
1answer
229 views

Package ctags is not available, but is referred to by another package

Tried to install ctags for vim to work with and was unable to locate it apt-cache search ctags Package ctags is not available, but is referred to by another package
2
votes
1answer
117 views

What is ffmpeg “rpt1” version?

When I run apt-cache show ffmpeg, there are two versions available. One of them has "rpt1" on the end of the version number. I can't find any info about this; what is the difference between the two? ...
0
votes
1answer
415 views

apt-get update Crashes

I have just successfully done sudo apt-get update sudo apt-get dist-upgrade Success meaning they finished and no errors which stopped the process - I did get a warning about something to do with ...
0
votes
1answer
328 views

Cannot update my raspberry pi

I try an update on my new raspberry pi 3. I did sudo apt-get update and I've got "0% mirrordirector.raspbian.org" Internet is ok but when I ping mirrordirector I've got 13 packets transmitted but 0 ...
0
votes
1answer
139 views

Error with partially installed package

I was recently trying to install php on my pi: sudo apt-get install php5-common php5-cli php5-fpm It ran for awhile and then froze. I had to leave so I left my laptop open and when I got back, it ...
87
votes
3answers
56k views

What is rpikernelhack?

When doing an apt-get upgrade on my RPi 3, many lines of output show up like this: Adding 'diversion of /boot/bcm2708-rpi-b-plus.dtb to /usr/share/rpikernelhack/bcm2708-rpi-b-plus.dtb by ...
0
votes
3answers
262 views

How to install packages via “apt-get” while ssh connected to MacBook via ethernet cable?

I'm very new in Rpi community and sure enough had to spent the last 24 hours to figure out how to ssh connect from my MacBook to my Pi3 via an ethernet cable. I'm following the steps in the second ...
1
vote
1answer
3k views

Installing MySQL server in latest (NOOBS) Raspbian

Here I was, following this tutorial (http://www.penguintutor.com/linux/raspberrypi-webserver), because I wanted to host a pretty simple PHP site on my Raspberry Pi. But once again, as it usually ...
1
vote
1answer
234 views

Can't install rails3 - unmet dependencies

I just got a Raspberry Pi 3 (I already have a fair amount of UNIX experience) and installed Raspbian. I'm trying to install Rails 3 with apt-get. When I try, I get a message about unmet dependencies. ...
5
votes
1answer
301 views

Kernel/Firmware as Debian package

It says on the official site that "the kernel and firmware are installed as a Debian package, and so will also get updates when using [apt-get upgrade]" I run apt-get update / apt-get dist-upgrade ...
0
votes
1answer
382 views

sudo apt-get update Archives directory is missing

I have no idea what this means. Was just doing a routine update on my Raspberry Pi: pi@raspberrypi ~ $ sudo apt-get update E: Archives directory /var/cache/apt/archives/partial is missing. - Acquire ...
0
votes
1answer
59 views

Permission denied error when using apt and apt-get as root on raspbian

I keep getting an error when I use apt or apt-get as a root user or using sudo with the default pi account. Ign:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease Ign:2 http://archive....
0
votes
2answers
599 views

Apt-get not working Raspberry Pi 2 B

On raspbian stretch: I set up the raspberry pi to have a static address, so I could use VNC/ssh to access the system rather than needing the separate monitor. Even though I can ssh/VNC into the pi, I ...
1
vote
1answer
460 views

ssmtp fails to install

I tried to install ssmtp but it fails. I updated and upgraded everything before trying this command but it displays this error message. pi@raspberrypi:/etc $ sudo apt-get install ssmtp Reading ...
-1
votes
1answer
75 views

installation error mariadb-server

i've previously installed mariadb successfully on my raspberry pi (raspian stretch lite). however i wanted to completely reinstall mariadb and also delete the old databases. i did this with the ...
0
votes
1answer
318 views

Apt-get returns several errors

I'm a newbie running Raspian (Debian 8 Jessie) and managed to mess up something with apt-get. Any advice or hints to fix the errors below would be greatly appreciated! sudo apt-get upgrade Reading ...
0
votes
1answer
354 views

dpkg: unrecoverable fatal error when installing ImageTK

I get the following error when installing ImageTK. % sudo apt-get install python-pil python-imaging python-imaging-tk Reading package lists... Done Building dependency tree Reading state ...